using System;
using Infragistics.Windows.DataPresenter;

internal sealed class Delegate284 : MulticastDelegate
{
	public extern FieldLayout Invoke(object object_0, int int_0);

	public static FieldLayout smethod_0(object object_0, int int_0, Delegate284 delegate284_1)
	{
		return delegate284_1(object_0, int_0);
	}

	public extern Delegate284(object object_0, IntPtr intptr_0);

	static Delegate284()
	{
		Class10.smethod_13(typeof(Delegate284).TypeHandle);
	}

	internal static Delegate284 delegate284_0;
}
